/**
  *  \file client/cm-standard.h
  */
#ifndef PCC_V2_CLIENT_CM_STANDARD_H
#define PCC_V2_CLIENT_CM_STANDARD_H

#include "client/chartmode.h"

class WStarchartTileContainer;

/** Standard starchart mode. This provides a cursor display as well as
    standard map information overlays. */
class WStandardChartMode : public WChartMode {
    int cursor_angle;

    WStarchartTileContainer* overlays;
 public:
    WStandardChartMode();
    ~WStandardChartMode();
    void onMove(GChartLocation& loc);
    void drawCursor(GfxCanvas& can, GChartLocation& loc);
    void drawOverlays(GfxCanvas& can, GChartLocation& loc);
    bool handleEvent(const UIEvent& event, GChartLocation& loc);
};

#endif
